Enrollment endpoint

Developer information about Enrollment endpoint of Collector Service API

Enrollment endpoint

This operation processes an enrollment request.
It will take full PII or partial PII and create an AM account.

This endpoint can be called for multiple use cases. Please contact Partner Support partnersupport@loyalty.com for advice on what is mandatory for each use case.

POST /collectors/

Sample request

Request header parameters

Name Type Example Description Required?
Content-Type String “application/json” Yes
Authorization String “Bearer eyJhbGciOiJSUzI1NiIsIn-XXXXXXXXXXXXzzbEhulG9Dy2587TDhbtJXYQtm4AmKM2sexKkHHSg” Authorization JWT Yes

Request body

Parameter Required? Type Example Description
personalDetails No Object personalDetails{ “firstName”: “Jane”, “middleName”:“Nad”, “lastName”: “Doe”, “dateOfBirth”:“1988-12-25”, “gender”:“FEMALE”, “title”:“MRS” } Personal details of the collector.
firstName Yes String “Jane” Collector’s first name
middleName No String “Nad” Collector’s middle name
lastName Yes String “Doe” Collector’s last name
suffix No String “Jr” Letter(s) added to the end of a name for additional information
dateOfBirth Yes Date “1988-12-25” Collector’s date of birth in YYYY-MM-DD format.
gender No String “FEMALE” Collector’s gender
title No String “MRS” Courtesy collector’s title
contactDetails Yes Object contactDetails{“email”: “airmiles@loyalty.com”, “phones : [{“type”: “Home”, “number”: “4162265171”, }, {“type”: “Mobile “, “number”: “9052261234” } ] } Collector’s contact info
email Yes String airmiles@loyalty.com Collector’s email address
phones No Array phones : [{“type”: “Home”, “number”: “4162265171”, }, {“type”: “Mobile “, “number”: “9052261234” } ] Collector’s phone numbers.
type No String “Home” Type of phone number.
number No String “4162265171” Collector’s phone number.
addresses No Array addresses : [{“type”: “Home”, “line1”: “250”, “line2”: “Unit 5”, “line3”: “subunit 3”, “city”: “Toronto”, “province”: “ON”, “country”: “CAN”, “postalCode”: “M5B2L7” }] Collector’s addresses.
type Yes String “Home” Type of address.
line1 Yes String “250 Yonge St.” Part 1 of the address.
line2 No String “Unit 5” Part 2 of the address.
line3 No String “Subunit 3” Part 3 of the address.
city Yes String “Toronto” City of the address.
province Yes String “ON” Province of the address.
country Yes String “CAN” Country of the address.
postalCode Yes String “M5B2L7” Postal code of the address.
preferenceDetails No Object preferenceDetails{“language”: “ENGLISH”, “instantRedemptionSuppression”: false} Collector’s preference details.
language Yes String “ENGLISH” Collector’s preferred language.
instantRedemptionSuppression No Boolean false AM lock.
enrollmentScheme Yes String “DIGISAMSUN” 10-character Enrollment Scheme code.
source No String “IMPCONONGO” 10-character Email Source code.
channel Yes String “WEB” Where the request is coming from. WEB, MOBAPP, BAT